
<div *ngIf="vehicle">
    <h5><span jhiTranslate="mpmApp.vehicle.detail.title">Vehicle</span> {{vehicle.idVehicle}}</h5>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="mpmApp.vehicle.product">Product</span></dt>
        <dd>
            <div *ngIf="vehicle.productId">
                <a [routerLink]="['/good', vehicle.productId]">{{vehicle.productName}}</a>
            </div>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'vehicle/'+ vehicle.idVehicle + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
